{*******************************************************}
{* Electronics: Using logic gates to make binary adders }
{*******************************************************}

// Version history:
//   1.0 (December 2019): original program
//   1.1 (February-March 2020):
//     - bug removal in adder4f unit (array element out of range);
//       this fixes the program abortion when run under Lazarus debugger
//     - corrections within the circuit layouts
//     - some minor code modifications
//   1.1.1 (September 2021):
//     - circuit drawing optimisation (proper display)

program LogicGates3;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Interfaces,
  Forms,
  adders, adder1h, adder1f, adder4f, common;

{$R *.res}

begin
  RequireDerivedFormResource:=True;
  Application.Initialize;
  Application.CreateForm(TfAdders, fAdders);
  Application.CreateForm(TfAdder1h, fAdder1h);
  Application.CreateForm(TfAdder1f, fAdder1f);
  Application.CreateForm(TfAdder4f, fAdder4f);
  Application.Run;
end.

